#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1300five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five13004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five13004xi = {
                1: '-1008x201y795z',
                2: '-1015x329y741z',
                3: '-1025x149y784z',
                4: '-1036x731y282z',
                5: '-1038x278y731z',
                6: '-1039x96y774z',
                7: '-1058x225y720z',
                8: '-1075x170y709z',
                9: '-1075x678y270z',
                10: '-108x409y1229z',
                11: '-1090x114y698z',
                12: '-1101x57y687z',
                13: '-1110x0y676z',
                14: '-1112x622y257z',
                15: '-1131x45y822z',
                16: '-1145x564y244z',
                17: '-1175x504y231z',
                18: '-1202x442y219z',
                19: '-1225x380y206z',
                20: '-1246x315y193z',
                21: '-1262x250y180z',
                22: '-1275x184y167z',
                23: '-1285x117y154z',
                24: '-1291x50y141z',
                25: '-133x414y1224z',
                26: '-138x808y1008z',
                27: '-139x878y948z',
                28: '-142x1199y481z',
                29: '-159x418y1220z',
                30: '-15x5y1299z',
                31: '-182x809y1000z',
                32: '-185x420y1215z',
                33: '-186x879y939z',
                34: '-205x1194y469z',
                35: '-212x421y1211z',
                36: '-227x808y992z',
                37: '-235x877y930z',
                38: '-240x419y1206z',
                39: '-268x416y1201z',
                40: '-269x1186y457z',
                41: '-272x804y983z',
                42: '-283x872y920z',
                43: '-28x7y1299z',
                44: '-297x411y1196z',
                45: '-317x798y975z',
                46: '-325x405y1191z',
                47: '-332x1175y444z',
                48: '-332x865y911z',
                49: '-354x396y1186z',
                50: '-363x789y966z',
                51: '-380x854y902z',
                52: '-383x385y1180z',
                53: '-394x1160y432z',
                54: '-39x384y1241z',
                55: '-3x1y1299z',
                56: '-408x778y957z',
                57: '-411x372y1175z',
                58: '-41x8y1299z',
                59: '-428x841y892z',
                60: '-439x358y1169z',
                61: '-453x763y948z',
                62: '-456x1142y420z',
                63: '-467x341y1164z',
                64: '-476x825y883z',
                65: '-494x323y1158z',
                66: '-498x747y940z',
                67: '-517x1120y408z',
                68: '-520x302y1152z',
                69: '-524x807y873z',
                70: '-542x727y930z',
                71: '-545x280y1146z',
                72: '-54x8y1298z',
                73: '-570x256y1139z',
                74: '-570x785y864z',
                75: '-577x1095y395z',
                76: '-585x705y921z',
                77: '-593x229y1133z',
                78: '-615x202y1127z',
                79: '-616x761y854z',
                80: '-61x393y1237z',
                81: '-627x680y912z',
                82: '-635x1067y383z',
                83: '-635x172y1120z',
                84: '-654x141y1114z',
                85: '-661x734y844z',
                86: '-669x652y903z',
                87: '-672x108y1107z',
                88: '-67x7y1298z',
                89: '-688x74y1100z',
                90: '-692x1035y370z',
                91: '-702x39y1093z',
                92: '-704x704y834z',
                93: '-709x622y893z',
                94: '-714x2y1086z',
                95: '-746x672y824z',
                96: '-747x590y884z',
                97: '-748x1000y358z',
                98: '-784x555y874z',
                99: '-787x637y814z',
                100: '-801x963y345z',
                101: '-81x4y1297z',
                102: '-820x518y865z',
                103: '-826x600y804z',
                104: '-84x402y1233z',
                105: '-853x478y855z',
                106: '-853x922y333z',
                107: '-863x560y794z',
                108: '-885x437y845z',
                109: '-898x518y783z',
                110: '-902x878y320z',
                111: '-914x393y835z',
                112: '-91x875y956z',
                113: '-931x474y773z',
                114: '-941x348y825z',
                115: '-949x832y308z',
                116: '-94x0y1296z',
                117: '-961x428y762z',
                118: '-966x300y815z',
                119: '-988x251y805z',
                120: '-989x379y752z',
                121: '-994x783y295z'}
#"
#"/>

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300five4xi" usage = "target function for charge13004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire1300five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1300FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1300FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1300FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1300FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1300FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five13004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1300FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1300FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1300FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five13004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five13004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1300FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1300FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1300FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1300five4xi.py                             
# -------------------------------------------------------------------------------------------------                